Package org.silverpeas.mobile.shared.exceptions

## Enum AuthenticationException.AuthenticationError

- java.lang.Object
- - java.lang.Enum<AuthenticationException.AuthenticationError>
  - - org.silverpeas.mobile.shared.exceptions.AuthenticationException.AuthenticationError

- All Implemented Interfaces:
    `Serializable`, `Comparable<AuthenticationException.AuthenticationError>`
  Enclosing class:
    AuthenticationException

      public static enum AuthenticationException.AuthenticationError
      extends Enum<AuthenticationException.AuthenticationError>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BadCredential` |
    `CanCreateMainSessionController` |
    `Host` |
    `LoginNotAvailable` |
    `NotAuthenticate` |
    `PwdExpired` |
    `PwdMustBeChanged` |
    `PwdMustBeChangedOnFirstLogin` |
    `PwdNotAvailable` |
    `UserAccountBlocked` |
    `UserAccountDeactivated` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AuthenticationException.AuthenticationError` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AuthenticationException.AuthenticationError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BadCredential

          public static final AuthenticationException.AuthenticationError BadCredential

    - #### Host

          public static final AuthenticationException.AuthenticationError Host

    - #### PwdNotAvailable

          public static final AuthenticationException.AuthenticationError PwdNotAvailable

    - #### NotAuthenticate

          public static final AuthenticationException.AuthenticationError NotAuthenticate

    - #### LoginNotAvailable

          public static final AuthenticationException.AuthenticationError LoginNotAvailable

    - #### CanCreateMainSessionController

          public static final AuthenticationException.AuthenticationError CanCreateMainSessionController

    - #### PwdExpired

          public static final AuthenticationException.AuthenticationError PwdExpired

    - #### PwdMustBeChanged

          public static final AuthenticationException.AuthenticationError PwdMustBeChanged

    - #### PwdMustBeChangedOnFirstLogin

          public static final AuthenticationException.AuthenticationError PwdMustBeChangedOnFirstLogin

    - #### UserAccountBlocked

          public static final AuthenticationException.AuthenticationError UserAccountBlocked

    - #### UserAccountDeactivated

          public static final AuthenticationException.AuthenticationError UserAccountDeactivated

  - ### Method Detail

    - #### values

          public static AuthenticationException.AuthenticationError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationException.AuthenticationError c : AuthenticationException.AuthenticationError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationException.AuthenticationError valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null